#ifndef VIEWS_H
#define VIEWS_H

#include "SAB.h"

typedef struct view1Packet
{
  DateTime dateTime;
  float sdCardSize;
  PowerInfo powerInfo;
  unsigned char nbViews;
} View1Packet;

//Global info
boolean view_1(Adafruit_SSD1306 &display, void *pData);

typedef struct viewAPPacket
{
  String macAddr;
  String ssid;
  IPAddress ipAddr;
  uint8_t nbOfCon;
} ViewAPPacket;

//AP info
boolean view_2(Adafruit_SSD1306 &display, void *pData);

typedef struct viewSTAPacket
{
  String macAddr;
  IPAddress ipAddr;
} ViewSTAPacket;

//STA info
boolean view_3(Adafruit_SSD1306 &display, void *pData);

#endif //VIEWS_H
